extends Area2D

var name = "door"

export (bool) var locked = false
export (bool) var active = false
export (int )var next_level_id = 0
export (int) var next_zone_id = 0

func _ready():
	if get_name() == "door":
		active = false
	else:
		active = true
	if locked:
		get_node("sprite").set_frame(1)
